/*

  RF 433MHz Receiver 

  Parts required:
  - Arduino Board
  - RF 433MHz Receiver

  Libraries required:
  - RadioHead (Download on www.it-teknolog.dk

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 16 Dec 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include <RH_ASK.h>
#include <SPI.h> // Not actualy used but needed to compile

RH_ASK driver;

void setup()
{
    Serial.begin(9600);  // Debugging only
    Serial.println("Serial Monitor Started...");
    if (!driver.init())
         Serial.println("init failed");
}

void loop()
{
    uint8_t buf[12];
    uint8_t buflen = sizeof(buf);
    if (driver.recv(buf, &buflen)) // Non-blocking
    {
      int i;
      // Message with a good checksum received, dump it.
      Serial.print("Message Received: ");
      Serial.println((char*)buf);         
    }
}
